using System.ComponentModel;

namespace Common.Library;

public abstract class CommonBase : INotifyPropertyChanged
{
    #region Constructor
    protected CommonBase()
    {
        Init();
    }
    #endregion

    #region Init Method
    public virtual void Init()
    {

    }
    #endregion


    #region RaisePropertyChanged Method
    public event PropertyChangedEventHandler? PropertyChanged;
    public virtual void RaisePropertyChanged(string propertyName)
    {
        this.PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
    }
    #endregion
}
